html {
    box-sizing: border-box;
    font-size: 16px;
    font-family: "Poppins", sans-serif;
}

*,
*:before,
*:after {
    box-sizing: inherit;
}

body,
h1,
h2,
h3,
h4,
h5,
h6,
p,
ol,
ul {
    margin: 0;
    padding: 0;
    font-weight: normal;
}

ol,
ul {
    list-style: none;
}

img {
    max-width: 100%;
    height: auto;
}

body {
    background: black;
    color: #fff;
    padding: 25px 20px;
}

a {
    text-decoration: none;
    color: #fff;
    cursor: pointer;
}

.active {
    text-decoration: underline;
    font-weight: 500;
}

.sr-only {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    white-space: nowrap;
    border: 0;
}

.logo {
    text-transform: uppercase;
    border: 2px solid #fff;
    padding: 5px 10px;
}

header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0;
}

#primary-nav {
    display: none;
}

#hamburger {
    display: flex;
    aspect-ratio: 1;
    width: 40px;
    background-repeat: no-repeat;
    border: 0;
    z-index: 100;
    background: url(menu.svg);
}

main {
    display: grid;
    grid-template-columns: 1fr;
    align-items: flex-start;
    gap: 50px;
}

.card-profile-pic {
    aspect-ratio: 1;
    width: 40px;
    border-radius: 50%;
}

.main-photo {
    position: relative;
}

.card {
    background: black;
    position: absolute;
    padding: 5px;
    width: calc(100vw - 20%);
    height: auto;
    margin-block-start: -25px;
    margin-inline: 5%;
}

.card-flex {
    display: flex;
    align-items: center;
    font-size: 14px;
}

.card p {
    font-size: 18px;
    font-weight: bold;
    max-width: 18ch;
}

.card-flex div {
    margin-inline-start: 10px;
}

section>* {
    margin-block: 30px;
    font-size: 18px;
}

h1 {
    font-size: 32px;
}

h2 {
    font-size: 17px;
    max-width: 16ch;
    font-weight: bold;
    margin-block-start: 5px;
}

section p {
    max-width: 33ch;
}

.gray {
    color: gray;
}

@media (min-width: 700px) and (max-width: 800px) {
    .card {
        width: 50%;
        left: 30%;
    }
}


@media (max-width: 800px) {

    .open {
        position: fixed;
        display: flex !important;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        background: black;
        z-index: 99;
        width: 100%;
        height: 100%;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }

    .open>ul>li {
        margin-bottom: 30px;
    }

}

@media (min-width: 801px) {

    body {
        padding: 25px 50px;
    }

    header {
        margin-inline: 50px;
    }

    #hamburger {
        display: none;
    }

    main {
        grid-template-columns: 1fr 1fr;
        align-items: center;
        margin: 50px;
        gap: 0;
    }

    #primary-nav {
        display: block;
    }

    ul {
        display: flex;
        gap: 10px;
    }

    .card {
        background: black;
        position: absolute;
        padding: 10px 20px;
        width: 25%;
        left: 55%;
        height: auto;
        margin-block-start: -25px;
        margin-inline: 6%;
    }

    .card-profile-pic {
        aspect-ratio: 1;
        width: 80px;
        border-radius: 50%;
    }

    .card-flex {
        display: flex;
        align-items: center;
        font-size: 20px;
    }

    .card p {
        font-size: 28px;
        font-weight: bold;
        max-width: 18ch;
    }

    h2 {
        padding: 0 0 0 20px;
    }

}

@media (min-width: 900px) and (max-width: 1100px) {
    .card {
        width: 30%;
        left: 50%;
    }
}

@media (min-width: 1600px) {
    .card {
        margin-inline: 10%;
        left: 60%;
    }
}